> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/apps/components/layout/hidden.md).

# Hidden

Schalten Sie den Sichtbarkeitswert von Komponenten und mehr schnell und responsiv mit den Hidden-Hilfsmitteln um.

## Wie es funktioniert

Hidden funktioniert mit einem Bereich von Breakpoints, z. B. `xsUp` oder `mdDown`, oder mit einem oder mehreren Breakpoints, z. B. `-Only 'sm'` oder `-Only @('md', 'xl')`. Bereiche und einzelne Breakpoints können gleichzeitig verwendet werden, um ein sehr individuelles Verhalten zu erzielen. Die Bereiche schließen die angegebenen Breakpoints ein.

```
innerWidth  |xs      sm       md       lg       xl
            |--------|--------|--------|--------|-------->
width       |   xs   |   sm   |   md   |   lg   |   xl

smUp        |   show | hide
mdDown      |                     hide | show
```

## Up

Bei Verwendung eines beliebigen Breakpoint-Parameters `-Up` werden die angegebenen *Children* *ab oder oberhalb* des Breakpoints ausgeblendet.

```
New-UDHidden -Up xl -Content {
    New-UDTypography 'xl'
}
```

## Down

Bei Verwendung eines beliebigen Breakpoint-Parameters `-Down` werden die angegebenen *Children* *ab oder unterhalb* des Breakpoints ausgeblendet.

```
New-UDHidden -Down xs -Content {
    New-UDTypography 'xs'
}
```

## Only

Bei Verwendung des Breakpoint-Parameters `-Only` werden die angegebenen *Children* *bei* dem bzw. den angegebenen Breakpoint(s) ausgeblendet.

Der Parameter `-Only` kann auf zwei Arten verwendet werden:

* Angabe eines einzelnen Breakpoints
* Angabe eines Arrays von Breakpoints

```
New-UDHidden -Only 'sm' -Content {
    New-UDTypography 'sm'
}
New-UDHidden -Only @('sm', 'xl') -Content {
    New-UDTypography 'sm,xl'
}
```

## API

* [New-UDHidden](/powershell-universal/de/powershell-befehle/new-udhidden.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/apps/components/layout/hidden.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
